###
@api 		{post} 			/agent 		Create a new account
@apiName 	PostAgent
@apiGroup 	Agent

@apiParam 								{String} login 			Username.
@apiParam 								{String} password 		Password already hashed with mui_hash.js. You have to check length and if password confirm match in client side.
@apiParam 								{String} mail 			Email address.
@apiParam 								{Int} [doubleAuth] 	    If 1, enable 2-factor authentication by mail, if 2, enable 2-factor authentication by Google Authenticator.

@apiSuccess (Created 201) 				{String}  message		"created".
@apiSuccess (Created 201) 				{Int}     data	      Agent ID.

@apiError 	(Error 400 - loginExists)	{String} message		"loginExists". Login already exists.
@apiError 	(Error 400 - mailExists)	{String} message		"mailExists". Email already exists.
@apiError 	(Error 400 - loginFormat)	{String} message		"loginFormat". Username format is incorrect (between 2 and 20 alphanumeric characters, -_. allowed).
@apiError 	(Error 400 - mailFormat)	{String} message		"mailFormat". Email format is incorrect.
###

###
@api 		{get} 		/agent 			Get agent infos
@apiName 	GetAgent
@apiGroup 	Agent

@apiHeader 								{String} token 			Token (Authorization: Bearer).

@apiSuccess (Success 200) 				{String} 	token					                  Current token.
@apiSuccess (Success 200) 				{Object} 	data
@apiSuccess (Success 200) 				{Object}	data.infos				              Agent infos.
@apiSuccess (Success 200) 				{String} 	data.infos.login                Login.
@apiSuccess (Success 200) 				{String} 	data.infos.email                Email.
@apiSuccess (Success 200) 				{String} 	data.infos.registration_date    Registeration date.
@apiSuccess (Success 200) 				{Int} 	  data.infos.double_auth          2-factor authentication method.

@apiSuccessExample {json} Success-Response:
{
    "code": 200,
    "status": "success",
    "data": {
        "login": "mikayla",
        "email": "mikayla@mikayla.ee",
        "registration_date": 1517233312,
        "double_auth": 0
    },
    "message": null,
    "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJPbmxpbmUgSldUIEJ1aWxkZXIiLCJpYXQiOjE1MTk4OTI3MTMsImV4cCI6MTU1MTQyODcxMywiYXVkIjoid3d3LmV4YW1wbGUuY29tIiwic3ViIjoianJvY2tldEBleGFtcGxlLmNvbSJ9._PWCLR7lgLmX3qA3gVnAhyGj-wt3WjDeNaml_tOunJM"
}
###

###
@api 		{post} 		/agent/changeLogin 	Change username
@apiName 	PostChangeLogin
@apiGroup 	Agent

@apiHeader 								{String} token 			Token (Authorization: Bearer).

@apiParam 								{String} login 			Username.

@apiSuccess (Success 200) 				{String} token			Current token.

@apiError 	(Error 400 - loginExists) 	{String} token			Current token.
@apiError 	(Error 400 - loginExists)	  {String} message		"loginExists". Login already exists.

@apiError 	(Error 400 - loginFormat) 	{String} token			Current token.
@apiError 	(Error 400 - loginFormat)	  {String} message		"loginFormat". Username format is incorrect (between 2 and 20 alphanumeric characters, -_. allowed).
###

###
@api 		{post} 		/agent/changeMail 	Change email
@apiName 	PostChangeMail
@apiGroup 	Agent

@apiHeader 								{String} token 			Token (Authorization: Bearer).

@apiParam 								{String} mail 			Email address.

@apiSuccess (Success 200) 				{String} token			Current token.
@apiSuccess (Success 200) 				{String} message		Email has been updated.

@apiError 	(Error 400 - mailExists) 	{String} token			Current token.
@apiError 	(Error 400 - mailExists)	{String} message		"mailExists". Email already exists.

@apiError 	(Error 400 - mailFormat) 	{String} token			Current token.
@apiError 	(Error 400 - mailFormat)	{String} message		"mailFormat". Email format is incorrect.
###

###
@api 		{post} 		/agent/changePassword 	Change password
@apiName 	PostChangePassword
@apiGroup 	Agent

@apiHeader 								{String} token 			Token (Authorization: Bearer).

@apiParam 								{String} old_pwd 		Old password already hashed.
@apiParam 								{String} new_pwd 		New password url encoded. You have to check length and if password confirm match in client side.

@apiSuccess (Success 200) 				{String} message		"removeToken". Token has to be removed from client.

@apiError 	(Error 400 - badOldPass) 	{String} token			Current token.
@apiError 	(Error 400 - badOldPass)	{String} message		"badOldPass". Old password does not match.
###

###
@api 		{post} 		/agent/changeAuth 	Change 2-factor authentication method
@apiName 	PostChangeAuth
@apiGroup 	Agent

@apiHeader 								{String} token 			Token (Authorization: Bearer).

@apiParam 								{Int}    doubleAuth 	    If 1, enable 2-factor authentication by mail, if 2, enable 2-factor authentication by Google Authenticator.
@apiParam 								{String} [code] 	        Code generated by Google Authenticator needed for enabling or disabling Google Authenticator.

@apiSuccess (Success 200) 				{String} token			Current token.
@apiSuccess (Success 200) 				{String} message		Updated.

@apiError 	(Error 403 - badCode) 	{String} 	token					Current token.
@apiError 	(Error 403 - badCode)		{String} 	message				"badCode".
###

###
@api 		{post} 		/agent/changeLang 	Update lang in database according to language header
@apiName 	PostChangeLang
@apiGroup 	Agent

@apiHeader 								{String} token 			Token (Authorization: Bearer).

@apiSuccess (Success 200) 				{String} token			Current token.
###